org.apache.commons.cli.avalon

## Class CLUtil

- java.lang.Object
- - org.apache.commons.cli.avalon.CLUtil

-     public final class CLUtil
      extends Object

  CLUtil offers basic utility operations for use both internal and external to package.
  See Also:
    `CLOptionDescriptor`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringBuilder` | `describeOptions(CLOptionDescriptor[] options)` Format options into StringBuilder and return.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### describeOptions

          public static StringBuilder describeOptions(CLOptionDescriptor[] options)

      Format options into StringBuilder and return. This is typically used to print "Usage" text in response to a "--help" or invalid option.
      Parameters:
        `options` - the option descriptors
      Returns:
        the formatted description/help for options

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.